using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("整改后照片")]
    public class T_SK_HIDDEN_DANGER_RECTIFY_RECORD_PHOTOB : MesEntityBase
    {
        /// <summary>
        /// 隐患整改记录表
        /// </summary>
        [Description("隐患整改记录表")]
        [DataFieldForeignKey("Nav_Rectify", "Nav_RectifyPhotobs")]
        public Guid HIDDEN_DANGER_RECTIFY_RECORD_ID { get; set; }

        /// <summary>
        /// 导航：隐患整改记录表
        /// </summary>
        [Description("导航：隐患整改记录表")]
        public virtual T_SK_HIDDEN_DANGER_RECTIFY_RECORD Nav_Rectify { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
